Skip to main content
GET
/
organizations
Error
A valid request URL is required to generate request examples
{
  "count": 123,
  "items": [
    {
      "id": "<string>",
      "type": "fixed",
      "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "namespace": "<string>",
      "name": "<string>",
      "label": "<string>",
      "country": "<string>",
      "capabilities": [
        "<string>"
      ],
      "vendor": "<string>",
      "billing_account_id": "<string>",
      "billing_legacy": true,
      "security_contact": "jsmith@example.com",
      "status": "active",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "_links": {
        "self": {
          "href": "<string>"
        },
        "update": {
          "href": "<string>",
          "method": "<string>"
        },
        "delete": {
          "href": "<string>",
          "method": "<string>"
        },
        "members": {
          "href": "<string>"
        },
        "create-member": {
          "href": "<string>",
          "method": "<string>"
        },
        "address": {
          "href": "<string>"
        },
        "profile": {
          "href": "<string>"
        },
        "payment-source": {
          "href": "<string>"
        },
        "orders": {
          "href": "<string>"
        },
        "vouchers": {
          "href": "<string>"
        },
        "apply-voucher": {
          "href": "<string>",
          "method": "<string>"
        },
        "subscriptions": {
          "href": "<string>"
        },
        "create-subscription": {
          "href": "<string>",
          "method": "<string>"
        },
        "estimate-subscription": {
          "href": "<string>"
        },
        "mfa-enforcement": {
          "href": "<string>"
        }
      }
    }
  ],
  "_links": {
    "self": {
      "href": "<string>"
    },
    "previous": {
      "href": "<string>"
    },
    "next": {
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Query Parameters

filter[id]
object

Allows filtering by id using one or more operators.

filter[type]
object

Allows filtering by type using one or more operators.

filter[owner_id]
object

Allows filtering by owner_id using one or more operators.

filter[name]
object

Allows filtering by name using one or more operators.

filter[label]
object

Allows filtering by label using one or more operators.

filter[vendor]
object

Allows filtering by vendor using one or more operators.

filter[capabilities]
object

Allows filtering by capabilites using one or more operators.

filter[status]
object

Allows filtering by status using one or more operators.
Defaults to filter[status][in]=active,restricted,suspended.

filter[updated_at]
object

Allows filtering by updated_at using one or more operators.

page[size]
integer

Determines the number of items to show.

Required range: 1 <= x <= 100
page[before]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

page[after]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

sort
string

Allows sorting by a single field.
Use a dash ("-") to sort descending.
Supported fields: name, label, created_at, updated_at.

Example:

"-updated_at"

Response

OK

count
integer

Total number of items across pages.

items
object[]